/* Footer */
.footer {
  background: var(--grey-bg);
  color: var(--light-grey-bg);
  font-size: 14px;
  line-height: 24px;
}

.footer a {
  color: inherit;
  text-decoration: none;
}

.footer a:hover {
  color: var(--footer-title);
}

.footer__logo {
  margin-top: -9px;
}

.footer__logo img {
  width: auto;
  height: auto;
}

.footer__copyright {
  position: relative;
  margin-top: 33px;
  padding-top: 30px;
}

.footer__copyright:before {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  height: 1px;
  --gradient-size: 70px;
  background: linear-gradient(
    to right,
    transparent,
    var(--footer-border) var(--gradient-size),
    var(--footer-border) calc(100% - var(--gradient-size)),
    transparent
  );
}

.footer__title {
  font-size: 18px;
  line-height: 26px;
  font-weight: 700;
  margin-bottom: 15px;
  color: var(--footer-title);
}

.footer__list ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.footer__list li {
  margin-bottom: 11px;
}

.footer__list li:last-child {
  margin-bottom: 0;
}

.footer__contacts {
}

.footer__contacts ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.footer__contacts li {
  display: flex;
  align-items: center;
  column-gap: 13px;
  margin-bottom: 13px;
}

.footer__contacts li > .icon {
  width: 20px;
  height: 20px;
  color: var(--footer-title);
}

.footer__contacts li > span {
  display: flex;
  align-items: center;
  column-gap: 6px;
}

.footer__contacts-icons {
  display: flex;
  align-items: center;
  column-gap: 12px;
}

.footer__contacts-icons a {
  color: var(--footer-title);
}

.footer__contacts-icons .icon {
  width: 20px;
  height: 20px;
}

.footer__social {
  position: relative;
  margin-top: 25px;
  padding-top: 21px;
}

.footer__social:before {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  height: 1px;
  --gradient-size: 70px;
  background: linear-gradient(
    to right,
    transparent,
    var(--footer-border) var(--gradient-size),
    var(--footer-border) calc(100% - var(--gradient-size)),
    transparent
  );
}

.footer__social-title {
  margin-bottom: 13px;
  font-weight: bold;
}

.footer__social ul {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  align-items: center;
  column-gap: 20px;
}

.footer__social ul a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  color: var(--footer-border);
  border: 1px solid var(--footer-border);
}

.footer__social ul a:hover {
  background-color: var(--footer-border);
  color: var(--grey-bg);
}

.footer__social ul .icon {
  height: 20px;
  width: 20px;
}

.footer__main {
  padding-top: 58px;
  padding-bottom: 74px;
}

.footer__row {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  margin-left: -10px;
  margin-right: -10px;
}

.footer__col {
  padding-left: 10px;
  padding-right: 10px;
}

.footer__col_1 {
  flex: 0 0 auto;
  width: 380px;
}

.footer__col_5,
.footer__col_7 {
  flex: 0 0 auto;
  width: 325px;
}

.footer__bottom .footer__row {
  position: relative;
  padding-top: 16px;
  padding-bottom: 21px;
}

.footer__bottom .footer__row:before {
  content: "";
  position: absolute;
  left: 10px;
  right: 10px;
  top: 0;
  height: 1px;
  --gradient-size: 70px;
  background: linear-gradient(
    to right,
    transparent,
    var(--footer-border) var(--gradient-size),
    var(--footer-border) calc(100% - var(--gradient-size)),
    transparent
  );
}

@media (max-width: 1399.98px) {
  .footer__col_1 {
    width: 320px;
  }

  .footer__col_5,
  .footer__col_7 {
    width: 280px;
  }
}

@media (max-width: 1199.98px) {
  .footer {
    padding-bottom: 60px;
  }

  .footer__row {
    flex-wrap: wrap;
    row-gap: 30px;
  }
}

@media (max-width: 991.98px) {
  .footer__col {
    width: 50%;
  }

  .footer__logo {
    margin-top: 0;
  }
}

@media (max-width: 767.98px) {
  .footer__main {
    padding-top: 40px;
    padding-bottom: 40px;
  }

  .footer__col {
    width: 100%;
  }

  .footer__copyright {
    padding-top: 20px;
    margin-top: 20px;
  }

  .footer__social {
    padding-top: 20px;
    margin-top: 20px;
  }

  .footer__bottom .footer__row {
    row-gap: 10px;
  }
}
/* ! Footer */
